<?php
define("IN_SITE", true);
require_once("../../version.php");
require_once("../../core/DB.php");
require_once("../../core/helpers.php");

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    if (empty($_POST['key'])) {
        die(json_encode([
            'status'    => 'error',
            'msg'       => 'Key Bàn Quyền không được để trống'
        ]));
    }
    if (check_xss($_POST['key'])) {
        die(json_encode([
            'status'    => 'error',
            'msg'       => 'Tính Làm gì Đó Bé'
        ]));
    }
    $license_key = xss($_POST['key']);
    $domain = $_SERVER['HTTP_HOST'];

   $data = array(
    'licensekey' => $license_key,
    'domain' => $domain
   ); 
    $url = 'https://banquyen.cmsgp.co/cmsgp.php';
    $ch = curl_init($url);
    curl_setopt($ch, CURLOPT_POST, true);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($data));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $response = curl_exec($ch);
    if (curl_errno($ch)) {
    echo 'CURL Error: ' . curl_error($ch);
    exit;
    } else {
    if ($response === 'Active') {
        $license_valid = true;
         $DVR ->update("settings", [
        'value' => $license_key,
    ], " `name` = 'key_ban_quyen'");

    die(json_encode([
        'status' => 'success',
        'msg'    => 'Nhập Key thành công'
    ]));
    } else {
        $license_valid = false;
         die(json_encode([
            'status'    => 'error',
            'msg'       => 'Key Không Hợp Lệ'
        ]));
    }
    }
   curl_close($ch);
   if (!$license_valid) {
     die(json_encode([
            'status'    => 'error',
            'msg'       => 'Key Không Hợp Lệ'
        ]));
    exit;
}
   
}
